Bug 533707 - virt-install does not set graphical console keymap automatically for Xen guests
virt-install does not set graphical console keymap automatically for Xen guests
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-11-08 12:17 EST by Pasi Karkkainen
Modified: 2010-01-04 15:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 15:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pasi Karkkainen 2009-11-08 12:17:02 EST
Description of problem:
virt-install and virt-manager don't set up the guest graphical console keymap making it really difficult to use the console after installation. User needs to manually edit the guest configuration, and specify the keymap.

Version-Release number of selected component (if applicable):
python-virtinst-0.500.0-5.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. Install Fedora 12 (rawhide) Xen dom0 host
2. Install new Xen PV guest with virt-manager or virt-install
3. After installation guest graphical console keymap is not set up automatically, user needs to configure it manually.
  
Actual results:
keymap not configured automatically. User needs to do "virsh edit <guest>" and set up the keymap='xx' parameter.

Expected results:
keymap set up automatically, like in RHEL5 version of virt-install/virt-manager.

Additional info:
After installation guest configuration (virsh dumpxml <guest>) has this:

<graphics type='vnc' port='5901' autoport='yes'/>

it should be (example from RHEL5 version):

<graphics type='vnc' port='5900' autoport='yes' keymap='fi'/>
Comment 1 Mark McLoughlin 2009-11-19 07:32:16 EST
discussed on fedora-xen and danpb reckons that xen's qemu should be new enough to not need an explicit keymap:

  http://www.redhat.com/archives/fedora-xen/2009-November/msg00009.html
Comment 2 Pasi Karkkainen 2009-11-19 07:50:57 EST
my reply to that:
http://www.redhat.com/archives/fedora-xen/2009-November/msg00016.html

is this a bug in virt-viewer then? ie. virt-viewer not using the vnc extension to set up the keymap? 

I'm using virt-viewer to use the console (or just virt-manager), and the console keymap is wrong until I do "virsh edit <guest>" and specify the keymap there.

Thoughts on that?
Comment 3 Cole Robinson 2009-12-01 22:19:11 EST
For whatever reason, xen must not be using new enough code, or have the relevant pieces disabled.

Upstream virtinst now is more discerning when setting (or not setting) a keymap: it will only omit the keymap for sufficiently new qemu. So xen should default to the old behavior of determining the keymap from the local setting.
Comment 4 Fedora Update System 2009-12-03 18:44:58 EST
python-virtinst-0.500.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-virtinst-0.500.1-1.fc12
Comment 5 Fedora Update System 2009-12-04 19:06:57 EST
python-virtinst-0.500.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12746
Comment 6 Pasi Karkkainen 2009-12-05 08:55:07 EST
I just tried python-virtinst-0.500.1-1.fc12 and it fixes the problem! vfb keymap gets added automatically now.

Thanks!
Comment 7 Cole Robinson 2010-01-04 15:05:44 EST
Fixed in python-virtinst-0.500.1-2.fc12, now in stable.

Note You need to log in before you can comment on or make changes to this bug.